Package com.pixelmed.display

## Class SuperimposedDicomSegments

- java.lang.Object
- - com.pixelmed.display.SuperimposedDicomSegments

-     public class SuperimposedDicomSegments
      extends java.lang.Object

  A class that supports extracting DICOM segmentation objects with one or more segments as superimposed images.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected class` | `SuperimposedDicomSegments.SegmentInformation` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.util.SortedMap<java.lang.String,​java.util.SortedSet<java.lang.Integer>>` | `framesForSegmentBySegmentNumber` |
    `protected java.util.SortedMap<java.lang.String,​SuperimposedDicomSegments.SegmentInformation>` | `segmentInformationBySegmentNumber` |
    `protected java.util.SortedMap<java.lang.String,​SuperimposedImage>` | `superimposedImagesBySegmentNumber` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SuperimposedDicomSegments​(AttributeList list)` |
    `SuperimposedDicomSegments​(java.io.File file)` |
    `SuperimposedDicomSegments​(java.lang.String filename)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Vector<SuperimposedImage>` | `getSuperimposedImages()` |
    `static void` | `main​(java.lang.String[] arg)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### segmentInformationBySegmentNumber

          protected java.util.SortedMap<java.lang.String,​SuperimposedDicomSegments.SegmentInformation> segmentInformationBySegmentNumber

    - #### superimposedImagesBySegmentNumber

          protected java.util.SortedMap<java.lang.String,​SuperimposedImage> superimposedImagesBySegmentNumber

    - #### framesForSegmentBySegmentNumber

          protected java.util.SortedMap<java.lang.String,​java.util.SortedSet<java.lang.Integer>> framesForSegmentBySegmentNumber

  - ### Constructor Detail

    - #### SuperimposedDicomSegments

          public SuperimposedDicomSegments​(AttributeList list)
                                    throws DicomException

      Parameters:
        `list` -
      Throws:
        `DicomException`

    - #### SuperimposedDicomSegments

          public SuperimposedDicomSegments​(java.lang.String filename)
                                    throws DicomException,
                                           java.io.IOException

      Parameters:
        `filename` -
      Throws:
        `DicomException`
        `java.io.IOException`

    - #### SuperimposedDicomSegments

          public SuperimposedDicomSegments​(java.io.File file)
                                    throws DicomException,
                                           java.io.IOException

      Parameters:
        `file` -
      Throws:
        `DicomException`
        `java.io.IOException`

  - ### Method Detail

    - #### getSuperimposedImages

          public java.util.Vector<SuperimposedImage> getSuperimposedImages()
                                                                    throws DicomException

      Returns:
        the superimposed images, one per segment
      Throws:
        `DicomException`

    - #### main

          public static void main​(java.lang.String[] arg)

      Parameters:
        `arg` - the underlying image file name, the superimposed segmentation object file name, and optionally the file name basis for a consumer format image rendering